#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

Name:           amarok
Summary:        The powerful media player for KDE
Epoch:          3
Version:        3.3.0
Release:        %mkrel 1
License:        GPLv2 and LGPLv2 and GFDL
Group:          Sound/Players
Url:            https://amarok.kde.org/
Source0:        https://download.kde.org/stable/%{name}/%{version}/%{name}-%{version}.tar.xz

## Upstream patches

## Mageia patches (100->199)
Patch100:       amarok-3.3.0-amarokpud-soversion.patch
Patch101:       amarok-libmygpo-qt.patch
Source102:      amarok-qt6webenginewidgets.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6UiTools)
%ifarch aarch64 x86_64
BuildRequires:  cmake(Qt6WebEngineWidgets)
%endif
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Phonon4Qt6)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DNSSD)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6TextEditor)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6ThreadWeaver)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6Wallet)

BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libgpod-1.0) >= 0.8.2
BuildRequires:  pkgconfig(libofa)
BuildRequires:  pkgconfig(libmtp) >= 1.0.0
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(loudmouth-1.0)
BuildRequires:  pkgconfig(openssl)

BuildRequires:  pkgconfig(taglib) >= 1.12
#BuildRequires:  pkgconfig(taglib-extras) >= 1.0.1
BuildRequires:  pkgconfig(gmock)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libmariadb)
BuildRequires:  pkgconfig(mariadb)
BuildRequires:  mariadb-embedded-devel
BuildRequires:  wrap-devel
BuildRequires:  pkgconfig(libmygpo-qt6)
# Not yet ported to Qt6
#BuildRequires:  liblastfm-qt5-devel

Requires:       mysql-common-core
Requires:       audiocd-kio
Requires:       amarok-utils = %{epoch}:%{version}-%{release}
Requires:       mariadb-embedded
Requires:       kirigami
Requires:       qt6-qtdeclarative
Requires:       phonon4qt6-backend-vlc
Recommends:     amarok-handbook
Recommends:     ifuse
Recommends:     kio-extras
# Allow transcoding
Recommends:     ffmpeg

%description
There are many media players around these days, it's true. What's missing
from most players is a user interface that doesn't get in the way of the
user. How many buttons do you have to press for simply adding some new
tracks to the playlist? Amarok tries to be a little different, providing
a simple drag and drop interface that really makes playlist handling easy.

Feature Overview
=================

  * Quick and simple drag and drop playlist creation
  * Music library
  * Cross platform: Support for Unix, MacOS X and Windows
  * Plays all audio formats known to man
  * Cover art download using Last.fm services
  * Automatic play-statistics generation (iRate style)
  * Full lyrics download
  * Learn about your music with integrated Wikipedia
  * Full Last.fm support
  * gpodder.net support
  * Configurable on screen display for track changes
  * Podcast support
  * iPod support, as well as other media players
  * Powerful scripting interface
  * Integration with Plasma and KDE Applications
  * Integration with multiple web sources including Magnatune, Jamendo,
    Ampache, MP3tunes, and others.

%files -f %{name}.lang
%{_kf6_sysconfdir}/xdg/amarok_homerc
%{_kf6_bindir}/amarok
%{_kf6_bindir}/amarok.real
%{_qt6_plugindir}/amarok*.so
%{_qt6_plugindir}/kcm_amarok*.so
%{_kf6_qmldir}/org/kde/amarok/
%{_kf6_libdir}/libampache_account_login.so
%{_kf6_libdir}/libgpodder_service_config.so
%{_kf6_libdir}/libamarok_service_lastfm_config.so
%{_kf6_applicationsdir}/org.kde.amarok.desktop
%{_kf6_applicationsdir}/org.kde.amarok_containers.desktop
%{_kf6_metainfodir}/org.kde.%{name}*.appdata.xml
%{_kf6_datadir}/config.kcfg/amarokconfig.kcfg
%{_kf6_knotificationsdir}/amarok.notifyrc
%{_kf6_datadir}/amarok/
%{_kf6_datadir}/dbus-1/services/org.kde.amarok.service
%{_kf6_datadir}/kpackage/amarok/
%{_kf6_datadir}/kpackage/genericqml/org.kde.amarok.context/
%{_kf6_datadir}/solid/actions/amarok-play-audiocd.desktop
%{_kf6_services}/amarok_append.desktop
%{_kf6_iconsdir}/hicolor/*/*/amarok.png
%{_kf6_datadir}/dbus-1/interfaces/*.xml

#--------------------------------------------------------------------

%package        utils
Summary:        Utilities for amarok
Group:          Graphical desktop/KDE
URL:            https://community.kde.org/Amarok/Development/BatchMode

%description    utils
Utilities for amarok
This package provides two utilities for amarok amarokcollectionscanner
(https://community.kde.org/Amarok/Development/BatchMode)
This utility can be used to scan your collection without amarok installed
amarok_afttagger (https://community.kde.org/Amarok/Development/AFT)
This utility allows editing/removing AFT tags.

%files utils -f amarokcollectionscanner_qt.lang
%{_kf6_bindir}/amarokcollectionscanner
%{_kf6_bindir}/amarok_afttagger

#--------------------------------------------------------------------

%package        handbook
Summary:        Amarok Handbook
BuildArch:      noarch

%description    handbook
This package provides Amarok Handbook.

%files handbook -f amarok-doc.lang
%doc COPYING COPYING.LIB COPYING.DOC AUTHORS README

#------------------------------------------------

%define libamaroklib_major 1
%define libamaroklib %mklibname amaroklib %{libamaroklib_major}

%package -n     %{libamaroklib}
Summary:        Amarok 2 Lib library
Group:          System/Libraries

%description -n %{libamaroklib}
Amarok 2 Lib library.

%files -n %{libamaroklib}
%{_kf6_libdir}/libamaroklib.so.%{libamaroklib_major}{,.*}

#------------------------------------------------

%define libamarokcore_major 1
%define libamarokcore %mklibname amarokcore %{libamarokcore_major}

%package -n     %{libamarokcore}
Summary:        Amarok 2 Core library
Group:          System/Libraries

%description -n %{libamarokcore}
Amarok 2 Core library.

%files -n %{libamarokcore}
%{_kf6_libdir}/libamarokcore.so.%{libamarokcore_major}{,.*}

#------------------------------------------------

%define libamarokpud_major 1
%define libamarokpud %mklibname amarokpud %{libamarokpud_major}

%package -n     %{libamarokpud}
Summary:        Amarok 2 Pud library
Group:          System/Libraries

%description -n %{libamarokpud}
Amarok 2 Pud library.

%files -n %{libamarokpud}
%{_kf6_libdir}/libamarokpud.so.%{libamarokpud_major}{,.*}

#------------------------------------------------

%define libamaroksqlcollection_major 1
%define libamaroksqlcollection %mklibname amarok-sqlcollection %{libamaroksqlcollection_major}

%package -n     %{libamaroksqlcollection}
Summary:        Amarok 2 Sqlcollection library
Group:          System/Libraries

%description -n %{libamaroksqlcollection}
Amarok 2 Sqlcollection library.

%files -n %{libamaroksqlcollection}
%{_kf6_libdir}/libamarok-sqlcollection.so.%{libamaroksqlcollection_major}{,.*}

#------------------------------------------------

%define libamaroktranscoding_major 1
%define libamaroktranscoding %mklibname amarok-transcoding %{libamaroktranscoding_major}

%package -n     %{libamaroktranscoding}
Summary:        Amarok 2 Transcoding library
Group:          System/Libraries

%description -n %{libamaroktranscoding}
Amarok 2 Transcoding library.

%files -n %{libamaroktranscoding}
%{_kf6_libdir}/libamarok-transcoding.so.%{libamaroktranscoding_major}{,.*}

#------------------------------------------------

%define libamarokshared_major 1
%define libamarokshared %mklibname amarokshared %{libamarokshared_major}

%package -n     %{libamarokshared}
Summary:        Amarok 2 Shared library
Group:          System/Libraries

%description -n %{libamarokshared}
Amarok 2 Shared library.

%files -n %{libamarokshared}
%{_kf6_libdir}/libamarokshared.so.%{libamarokshared_major}{,.*}

#------------------------------------------------

%define develname %mklibname %{name} -d

%package -n     %{develname}
Summary:        Headers of %{name} for development
Group:          Development/KDE and Qt
Requires:       %{libamaroklib} = %{epoch}:%{version}-%{release}
Requires:       %{libamarokcore} = %{epoch}:%{version}-%{release}
Requires:       %{libamarokpud} = %{epoch}:%{version}-%{release}
Requires:       %{libamaroksqlcollection} = %{epoch}:%{version}-%{release}
Requires:       %{libamaroktranscoding} = %{epoch}:%{version}-%{release}
Requires:       %{libamarokshared} = %{epoch}:%{version}-%{release}
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
Headers of %{name} for development.

%files -n %{develname}
%{_kf6_libdir}/libamaroklib.so
%{_kf6_libdir}/libamarokcore.so
%{_kf6_libdir}/libamarokpud.so
%{_kf6_libdir}/libamarok-sqlcollection.so
%{_kf6_libdir}/libamarok-transcoding.so
%{_kf6_libdir}/libamarokshared.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON \
           -DWITH_GPODDER:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-kde --with-html --without-mo && mv %{name}.lang %{name}-doc.lang
%find_lang %{name}
%find_lang_kf6 amarokcollectionscanner_qt

# Add simple fix for the crash with mariadb (Thanks to Fabian Vogt)
# create a wrapper script to get rid with a ld_preload issue with embedded mariadb
# https://bugs.kde.org/show_bug.cgi?id=391362#c7
mv %{buildroot}%{_kf6_bindir}/amarok %{buildroot}%{_kf6_bindir}/amarok.real
cat <<EOF >amarok.wrapper
#!/bin/sh

LD_PRELOAD=%{_kf6_libdir}/libmariadbd.so.19 %{_kf6_bindir}/amarok.real
EOF
install -m 0755 amarok.wrapper %{buildroot}%{_kf6_bindir}/amarok


%changelog
* Thu Jul 10 2025 daviddavid <daviddavid> 3:3.3.0-1.mga10
+ Revision: 2252598
- new version: 3.3.0

* Wed Jul 02 2025 umeabot <umeabot> 3:3.2.2-2.mga10
+ Revision: 2235960
- Mageia 10 Mass Rebuild

* Sat Feb 15 2025 daviddavid <daviddavid> 3:3.2.2-1.mga10
+ Revision: 2148946
- new version: 3.2.2

* Tue Jan 14 2025 daviddavid <daviddavid> 3:3.2.1-2.mga10
+ Revision: 2138853
- add simple fix for the crash with mariadb (Thanks to Fabian Vogt) adding
  a wrapper script to get rid with a ld_preload issue with embedded mariadb
   * see https://bugs.kde.org/show_bug.cgi?id=391362#c7

* Sun Jan 12 2025 daviddavid <daviddavid> 3:3.2.1-1.mga10
+ Revision: 2138213
- new version: 3.2.1
- new version: 3.2.0

* Tue Dec 17 2024 daviddavid <daviddavid> 3:3.1.81-2.mga10
+ Revision: 2125747
- gpodder is not yet ready on Qt6
- add patch to now find libmygpo-qt6
- re-eanable gpodder support

* Sun Dec 15 2024 daviddavid <daviddavid> 3:3.1.81-1.1.mga10
+ Revision: 2125331
- new version: 3.1.81
- switch to Qt6/KF6

* Sun Dec 08 2024 daviddavid <daviddavid> 3:3.1.1-3.mga10
+ Revision: 2122588
- rebuild for new ffmpeg 7.1
- add missing runtime dependency on phonon4qt5-backend-vlc

* Fri Oct 04 2024 daviddavid <daviddavid> 3:3.1.1-2.mga10
+ Revision: 2103199
- remove the taglib-extras dependency, it fails to build with
  taglib 2 and will be dropped
- rebuild for new taglib 2.0.2

* Sun Sep 29 2024 daviddavid <daviddavid> 3:3.1.1-1.mga10
+ Revision: 2101974
- new version: 3.1.1

* Sat Aug 03 2024 daviddavid <daviddavid> 3:3.1.0-1.mga10
+ Revision: 2083554
- new version: 3.1.0
- new version: 3.0.81 (3.1 beta)

* Mon Jun 03 2024 daviddavid <daviddavid> 3:3.0.1-1.mga10
+ Revision: 2069516
- new version: 3.0.1

* Wed May 01 2024 daviddavid <daviddavid> 3:3.0.0-1.mga10
+ Revision: 2061812
- new version: 3.0.0

* Fri Apr 19 2024 daviddavid <daviddavid> 3:2.9.82-1.mga10
+ Revision: 2059175
- new version: 2.9.82

* Tue Feb 13 2024 daviddavid <daviddavid> 3:2.9.75-3.mga10
+ Revision: 2040946
- update to latest 2.9.75.git20240210
+ danf <danf>
- Update URLs

* Thu Dec 22 2022 daviddavid <daviddavid> 3:2.9.75-2.mga9
+ Revision: 1925762
- add patch to fix KNS deprecations

* Thu Apr 07 2022 luigiwalser <luigiwalser> 3:2.9.75-1.mga9
+ Revision: 1847546
- add upstream patch to fix build with ffmpeg 5.0
- 2.9.75 git snapshot (via opensuse)
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Sat Mar 13 2021 daviddavid <daviddavid> 3:2.9.71-1.mga9
+ Revision: 1701996
- new version: 2.9.71

* Tue Dec 29 2020 luigiwalser <luigiwalser> 3:2.9.70-6.mga8
+ Revision: 1665120
- obsolete qtscriptgenerator that was only needed by Qt4 version

* Thu Dec 24 2020 daviddavid <daviddavid> 3:2.9.70-5.mga8
+ Revision: 1663457
- enable Qt5UiTools support

* Thu Dec 24 2020 daviddavid <daviddavid> 3:2.9.70-4.mga8
+ Revision: 1663440
- update to latest git snapshot from 20201223

* Wed Dec 16 2020 umeabot <umeabot> 3:2.9.70-3.mga8
+ Revision: 1658130
- Rebuild for new Qt5

* Sun May 31 2020 daviddavid <daviddavid> 3:2.9.70-2.mga8
+ Revision: 1589288
- add patch to create shared library libamarokpud.so
- improve/update description

* Sat May 02 2020 daviddavid <daviddavid> 3:2.9.70-1.mga8
+ Revision: 1577715
- new version: 2.9.70 (first Qt5/Kf5 port)

* Mon Mar 30 2020 daviddavid <daviddavid> 3:2.9.0-3.mga8
+ Revision: 1562281
- fix dependencies

* Fri Feb 14 2020 umeabot <umeabot> 3:2.9.0-2.mga8
+ Revision: 1521641
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Dec 28 2018 luigiwalser <luigiwalser> 3:2.9.0-1.mga7
+ Revision: 1345877
- remove no longer relevant patch 1
- 2.9.0
- remove upstream patches

* Fri Sep 21 2018 umeabot <umeabot> 3:2.8.90-11.mga7
+ Revision: 1294314
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 mokraemer <mokraemer> 3:2.8.90-10.mga7
+ Revision: 1242875
- rebuild for new mariadb
- require mariadb-embedded

* Sat Apr 28 2018 daviddavid <daviddavid> 3:2.8.90-9.mga7
+ Revision: 1223120
- rebuild for new ffmpeg 4.0

* Tue Dec 26 2017 wally <wally> 3:2.8.90-8.mga7
+ Revision: 1185437
- rebuild for new mariadb

* Tue Aug 29 2017 daviddavid <daviddavid> 3:2.8.90-7.mga7
+ Revision: 1148443
- fix for new find_lang
- move amarokcollectionscanner_qt lang files to the "utils" subpackage
- update some descriptions and summaries

* Tue May 02 2017 akien <akien> 3:2.8.90-6.mga6
+ Revision: 1098349
- Rebuild for ffmpeg 3.3

* Wed Apr 12 2017 luigiwalser <luigiwalser> 3:2.8.90-5.mga6
+ Revision: 1096453
- add more upstream fixes via fedora
- install more appdata files

* Thu Mar 09 2017 akien <akien> 3:2.8.90-4.mga6
+ Revision: 1090842
- Add upstream patch to fix ffmpeg 3.0+ compatibility
- Rebuild for ffmpeg 3.2.4

* Sat Aug 20 2016 luigiwalser <luigiwalser> 3:2.8.90-3.mga6
+ Revision: 1047463
- sync several upstream patches from fedora

* Tue Mar 29 2016 umeabot <umeabot> 3:2.8.90-2.mga6
+ Revision: 996049
- Mageia 6 Mass Rebuild

* Sat Jan 02 2016 luigiwalser <luigiwalser> 3:2.8.90-1.mga6
+ Revision: 918515
- 2.8.90
- fix source URL
- remove upstreamed patch 100
- add upstream patch via fedora to fix build with taglib 1.10
- add two patches from fedora to fix build issue related to mysql
- partial BuildRequires sync with fedora
- recommend clamz and kio-mtp

* Mon Sep 14 2015 fwang <fwang> 3:2.8.0-8.mga6
+ Revision: 879146
- rebuild for new libgcrypt
+ neoclust <neoclust>
- Rebuild against new taglib

* Mon May 04 2015 neoclust <neoclust> 3:2.8.0-6.mga5
+ Revision: 821213
- Disable analyser by default ( MGA #15838 )

* Fri Nov 14 2014 fwang <fwang> 3:2.8.0-5.mga5
+ Revision: 796987
- rebuild for new ffmpeg

* Wed Oct 15 2014 umeabot <umeabot> 3:2.8.0-4.mga5
+ Revision: 743301
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3:2.8.0-3.mga5
+ Revision: 677748
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 3:2.8.0-2.mga4
+ Revision: 532079
- Mageia 4 Mass Rebuild

* Thu Aug 15 2013 luigiwalser <luigiwalser> 3:2.8.0-1.mga4
+ Revision: 466727
- 2.8.0

* Wed Jul 24 2013 neoclust <neoclust> 3:2.7.90-1.mga4
+ Revision: 457622
- New version

* Thu Jul 11 2013 fwang <fwang> 3:2.7.1-5.mga4
+ Revision: 452787
- rebuild for new ffmpeg

* Wed Jun 12 2013 juancho <juancho> 3:2.7.1-4.mga4
+ Revision: 442184
- Added patch to fix bug 10287: amarok scrobbling broken by liblastfm 1.0.7

* Wed Jun 12 2013 juancho <juancho> 3:2.7.1-3.mga4
+ Revision: 442052
- Changed Requires of ifuse for Suggests.

* Wed May 29 2013 juancho <juancho> 3:2.7.1-2.mga4
+ Revision: 430520
- Added missing Requires on ifuse to handle iphone/ipod devices

* Fri May 24 2013 fwang <fwang> 3:2.7.1-1.mga4
+ Revision: 425665
- new version 2.7.1

* Fri Jan 18 2013 fwang <fwang> 3:2.7.0-1.mga3
+ Revision: 389298
- SILEN: update file list
- new version 2.7.0

* Fri Jan 11 2013 umeabot <umeabot> 3:2.6.90-3.mga3
+ Revision: 345525
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 3:2.6.90-2.mga3
+ Revision: 341599
- rebuild for new ffmpeg

* Fri Dec 14 2012 fwang <fwang> 3:2.6.90-1.mga3
+ Revision: 330959
- br nepomuk
- update file list
- new version 2.6.90

* Sat Dec 08 2012 fwang <fwang> 3:2.6.0-2.mga3
+ Revision: 328047
- update rpm group
- disable test build

* Mon Aug 13 2012 neoclust <neoclust> 3:2.6.0-1.mga3
+ Revision: 281174
- New version 2.6.0

* Sat Aug 11 2012 neoclust <neoclust> 3:2.5.96-2.mga3
+ Revision: 280741
- Add liblastfm support from master

* Sat Aug 11 2012 neoclust <neoclust> 3:2.5.96-1.mga3
+ Revision: 280674
- New version 2.6 Rc1

* Thu Aug 02 2012 neoclust <neoclust> 3:2.5.90-2.mga3
+ Revision: 277761
- Rebuild against new liblastfm

* Fri Jun 01 2012 fwang <fwang> 3:2.5.90-1.mga3
+ Revision: 252794
- new version 2.5.90

* Tue May 29 2012 fwang <fwang> 3:2.5.0-4.mga3
+ Revision: 248941
- add upstream patch to build with latest ffmpeg
- rebuild for new ffmpeg

* Fri Jan 27 2012 mikala <mikala> 3:2.5.0-3.mga2
+ Revision: 202094
- Add patch0005 to fix contextview ( bug #290123)
- Drop patch004 (disable lastfm plugin in amarok configuration instead of using a plugin)

* Sat Dec 17 2011 fwang <fwang> 3:2.5.0-2.mga2
+ Revision: 182924
- rebuild for new mariadb

* Thu Dec 15 2011 fwang <fwang> 3:2.5.0-1.mga2
+ Revision: 182270
- new version 2.5.0

* Mon Nov 21 2011 juancho <juancho> 3:2.4.90-3.mga2
+ Revision: 170337
- Fixed amarok-scripts Obsoletes tag (I hope this time I got it right vim SPECS/amarok.spec).

* Sun Nov 20 2011 juancho <juancho> 3:2.4.90-2.mga2
+ Revision: 170125
- Added back versionated Obsoletes: amarok-scripts < %%epoch:%%version-%%release

* Sun Nov 20 2011 juancho <juancho> 3:2.4.90-1.mga2
+ Revision: 169631
- Updated to 2.5beta1 (2.4.90), and Obsoletes: amarok-scripts as it isn't included anymore with this version

* Thu Nov 10 2011 mikala <mikala> 3:2.4.3-6.mga2
+ Revision: 166211
- Really remove %%_kde_docdir/HTML from amarok packages (use %%exclude functionnality as suggested by blino)

* Thu Nov 10 2011 mikala <mikala> 3:2.4.3-5.mga2
+ Revision: 166102
- Add the amarok-handbook for the live-cd
- Ressurect amarok-utils subpackage ( amarokcollectionscanner is built on purpose to be used *without* amarok binary)
 - add amarok_afttagger binary in amarok-utils subpackage
 - use pkgconfig() for buildrequires
 - remove non used buildrequires
 - remove %%defattr
 - use kde4 macros
 - add ffmpeg as suggests (needed for transcoding)
 - remove conflicts from 2010.0
 - Fix license
+ fwang <fwang>
- drop invalid requires
- merge some sub packages
- new version 2.4.3

* Sun Jul 17 2011 fwang <fwang> 3:2.4.1.90-2.mga2
+ Revision: 125199
- rebuild for new libmtp

* Sat Jul 09 2011 fwang <fwang> 3:2.4.1.90-1.mga2
+ Revision: 120818
- new version 2.4.1.90

* Fri Jun 24 2011 fwang <fwang> 3:2.4.1-1.mga2
+ Revision: 113013
- add upstream patch to build with ffmpeg 0.8
- rebuild for new ffmpeg

* Sun May 08 2011 mikala <mikala> 3:2.4.1-0.mga1
+ Revision: 96435
- Update tarball to 2.4.1

* Tue Apr 12 2011 ahmad <ahmad> 3:2.4.0.90-4.mga1
+ Revision: 83548
- don't obsolete libampache_account; as per discussion with dmorgan on IRC, no
  quirks for upgrading packages from 3rd party repos should be added

* Sun Apr 10 2011 dmorgan <dmorgan> 3:2.4.0.90-3.mga1
+ Revision: 82739
- Obsoletes libampache_account ( cf -dev ML)

* Thu Mar 24 2011 dmorgan <dmorgan> 3:2.4.0.90-2.mga1
+ Revision: 76735
- Rebuild against new mysql

* Wed Mar 23 2011 mikala <mikala> 3:2.4.0.90-1.mga1
+ Revision: 75784
- Update tarball to 2.4.0.90 ( Amarok 2.4 beta 1)
- Drop patch6 (merged upstream)
- Drop patch5 (don't need it anymore for build since mysqle is fixed in mysql package
  	       should fix mga #358)
- Add upstream patch to fix version requirement
- Add libmygpo-qt-devel as BR (provides support for gpodder.net podcast)
- Fix file list (don't drop libamarokqtjson %%files until the final )

* Sun Mar 13 2011 mikala <mikala> 3:2.4.0-2.mga1
+ Revision: 70707
- Add patch006 (mysqle should work again with mysql 5.5.9)
- Remove buildroot

* Mon Jan 24 2011 ahmad <ahmad> 3:2.4.0-1.mga1
+ Revision: 35971
- update to 2.4.0
- add patch to fix linking with mysql (Mandriva)
- drop old conflicts/obsoletes
- drop old/unneeded scriptlets
+ mikala <mikala>
- imported package amarok


* Tue Dec 28 2010 Oden Eriksson <oeriksson@mandriva.com> 3:2.3.90-2mdv2011.0
+ Revision: 625724
- fix deps
- rebuilt against mysql-5.5.8 libs

  + Funda Wang <fwang@mandriva.org>
    - New version 2.3.90
    - disable patch 3 for now (do not know where it comes from)

* Tue Sep 21 2010 Funda Wang <fwang@mandriva.org> 3:2.3.2-1mdv2011.0
+ Revision: 580329
- new version 2.3.2

* Tue Aug 17 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.3.1.90-1mdv2011.0
+ Revision: 571067
- Fix file list
- New version 2.3.2 Beta1

* Tue Jun 01 2010 Funda Wang <fwang@mandriva.org> 3:2.3.1-1mdv2010.1
+ Revision: 546820
- New version 2.3.1 final

* Thu Apr 29 2010 Christophe Fergeau <cfergeau@mandriva.com> 3:2.3.0.90-3mdv2010.1
+ Revision: 540854
- rebuild so that shared libraries are properly stripped again

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 3:2.3.0.90-2mdv2010.1
+ Revision: 540398
- rebuild so that shared libraries are properly stripped again

* Tue Apr 27 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.3.0.90-1mdv2010.1
+ Revision: 539499
- New version 2.3.1 beta1 :
       - Remove Merged patches
       - Rediff mdv patches

* Wed Apr 07 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.3.0-4mdv2010.1
+ Revision: 532521
- Rebuild against new openssl

* Fri Apr 02 2010 Colin Guthrie <cguthrie@mandriva.org> 3:2.3.0-3mdv2010.1
+ Revision: 530784
- Add upstream patches relating to volume changes
- Add fix for iPhone/iPodTouch permissions problems
- Adapt to a git-based patch structure to ease forward-porting and backporting

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - versionnate requires

* Tue Mar 16 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.3.0-1mdv2010.1
+ Revision: 520677
- Remove merged patch
- New version 2.3.0
- Add strueg patch fixing amarok crash

* Mon Mar 08 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.2.2.90-5mdv2010.1
+ Revision: 516005
- Git snapshot fix amarok start
  Rediff patches

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 3:2.2.2.90-4mdv2010.1
+ Revision: 511551
- rebuilt against openssl-0.9.8m

* Wed Feb 17 2010 Oden Eriksson <oeriksson@mandriva.com> 3:2.2.2.90-3mdv2010.1
+ Revision: 507014
- rebuild

* Wed Feb 17 2010 Funda Wang <fwang@mandriva.org> 3:2.2.2.90-2mdv2010.1
+ Revision: 506923
- rebuild

* Sun Feb 14 2010 Funda Wang <fwang@mandriva.org> 3:2.2.2.90-1mdv2010.1
+ Revision: 505928
- New version 2.2.2.90
- rediff CD-title patch, appendAndPlay patch
- drop upstream patches

* Tue Feb 09 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.2.2-3mdv2010.1
+ Revision: 503226
- Backport patches, now amarok solid action works

* Fri Jan 15 2010 Funda Wang <fwang@mandriva.org> 3:2.2.2-2mdv2010.1
+ Revision: 491599
- add missing requires
- renew tarball with latest released file
- rediff CD title patch
- fix lib ext

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to amarok 2.2.2
    - Clean spec file

* Wed Dec 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.2.1.90-1mdv2010.1
+ Revision: 479213
- Update to amarok 2.2.2 beta1
  Remove patch 101 : Merged upstream

* Sun Nov 22 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.2.1-1mdv2010.1
+ Revision: 469061
- Use a clever name for patches even if they come GIT
- Update to amarok 2.2.1
  Remove merged patches
  Rediff patches

  + Funda Wang <fwang@mandriva.org>
    - add upstream patch to have it build

* Sat Oct 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.2.0-10mdv2010.0
+ Revision: 459139
- Obsoletes kde3-amarok-scripts
- Obsolete for mdv >= 2010.0

* Thu Oct 22 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.2.0-9mdv2010.0
+ Revision: 458978
- Add obsolete for 2009.0 -> 2010.0 upgrade

* Sun Oct 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.2.0-8mdv2010.0
+ Revision: 458109
- Add patch from upstream to fix splashscreen with lastfm
  Disable patch5
- Disable lastfm by default ( but still can be enabled manually )
- Apply lyrics patch

* Thu Oct 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.2.0-5mdv2010.0
+ Revision: 457486
- Fix audio cd support

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 3:2.2.0-4mdv2010.0
+ Revision: 455757
- rebuild for new curl SSL backend

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add the bugreport

* Thu Oct 01 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.2.0-3mdv2010.0
+ Revision: 452353
- Fix file list
- Remove the solid action as it does not work for now

* Thu Oct 01 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.2.0-2mdv2010.0
+ Revision: 452245
- Remove not userfriendly servicemenu

* Thu Oct 01 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.2.0-1mdv2010.0
+ Revision: 452237
- Time to release amarok
- Fix Requires for audiocd support
- Move dbus interfaces in amarok packages, as this is needed for ServiceMenus
- Fix  typo
- Amarok 2.2.0 requires at least kde 4.2
- Update to amarok 2.2.0 final

* Tue Sep 29 2009 Anssi Hannula <anssi@mandriva.org> 3:2.1.90-2mdv2010.0
+ Revision: 450956
- require mysql-common-core instead of full mysql-common on 2010.0+

* Wed Sep 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.1.90-1mdv2010.0
+ Revision: 447776
- Fix patch
- Update to Rc1

* Fri Sep 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.1.85-5mdv2010.0
+ Revision: 444485
- Version BuildRequires
  Fix build against new taglib ( from git )
- Rebuild
- Remove conflict
- Rebuild

  + Raphaël Gertz <rapsys@mandriva.org>
    - Rebuild for taglib-extras

* Wed Sep 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.1.85-1mdv2010.0
+ Revision: 443529
- This is release time, Enjoy
- Update to amarok 2.2beta2

* Fri Sep 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.1.80-1mdv2010.0
+ Revision: 429960
- Fix file list
- Update to amarok 2.2 beta1

* Wed Aug 19 2009 Raphaël Gertz <rapsys@mandriva.org> 3:2.1.1-3mdv2010.0
+ Revision: 418248
- Rebuild for libjpeg7

* Sun Aug 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.1.1-2mdv2010.0
+ Revision: 416917
- Rebuild against new libjpeg

* Wed Jun 17 2009 Helio Chissini de Castro <helio@mandriva.com> 3:2.1.1-1mdv2010.0
+ Revision: 386779
- Amarok bugfix update release 2.1.1

* Mon Jun 01 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.1-1mdv2010.0
+ Revision: 382022
- Update to version 2.1

* Wed May 13 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.0.96-3mdv2010.0
+ Revision: 375584
- Fix initial preference

* Mon May 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.0.96-2mdv2010.0
+ Revision: 374677
- Fix Requires (Bug #50813)

* Mon May 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.0.96-1mdv2010.0
+ Revision: 374300
- Update to amarok 2.0 beta2

* Wed Apr 29 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.0.90-1mdv2010.0
+ Revision: 369147
- Update to amarok 2.1 Beta1
  Create amarok-utils as asked by upstream devs

* Tue Apr 07 2009 Helio Chissini de Castro <helio@mandriva.com> 3:2.0.2-2mdv2009.1
+ Revision: 365064
- Try fix lastfm audio scrobbler. Fix bug https://qa.mandriva.com/show_bug.cgi?id=49595

* Mon Mar 02 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.0.2-1mdv2009.1
+ Revision: 347495
- Add back mysql compile fix
- Update to amarok 2.0.2

* Sat Jan 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.0.1.1-5mdv2009.1
+ Revision: 333341
- Add upstream patch  to fix build with new libgpod
- Rebuild

* Sun Jan 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.0.1.1-3mdv2009.1
+ Revision: 330917
- Better fix for mysql link

* Thu Jan 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.0.1.1-2mdv2009.1
+ Revision: 329958
- Fix link again
- Bump release
- Add mysql patch ( to make the collection working again)
  Remove verbose
- Move it on its own package ( next commit)

* Wed Jan 14 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.0.1.1-1mdv2009.1
+ Revision: 329533
- Fix build
- some more fixes for new libmp4
- Fix build with new libmp4v2
- Update to amarok 2.0.1.1
- Update to amarok 2.0.1

  + Funda Wang <fwang@mandriva.org>
    - po related files are not needed any more

* Fri Dec 05 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:2.0-1mdv2009.1
+ Revision: 310909
- Update to Final 2.0 Version
  Add 2 official patches to fix regressions

* Sun Nov 23 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.98-1mdv2009.1
+ Revision: 305963
- Update to amarok 2.0 Rc1

* Sun Nov 02 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.94-3mdv2009.1
+ Revision: 299199
- Fix File list and conflicts

* Sat Nov 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.94-2mdv2009.1
+ Revision: 299175
- Sorry i forgot to add back codeina support

* Sat Nov 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.94-1mdv2009.1
+ Revision: 299153
- Update tp amarok beta3
- Fix amarok_service_gstreamer_codec.desktop
- Update to amarok 1.92.

* Sun Oct 12 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.90-0.870288.1mdv2009.1
+ Revision: 292842
- New svn snaphsot
  Remove merged patches
  Rediff amarok-1.90-gstreamer-codec-install.patch patch
  Update translations

* Fri Oct 03 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.90-0.866096.6mdv2009.0
+ Revision: 291031
- Fix codeina

* Thu Oct 02 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 3:1.90-0.866096.5mdv2009.0
+ Revision: 290900
- Fix a crash when right-clicking an empty space of the collection panel (#44483)
- Fix a crash when running with --nofork and a path (upstream r867005)
- Don't fetch again covers explicitelly deleted by the user (upstream r866607)
- Fix a crash when playing a podcast without the artist tag (upstream r866155)

* Tue Sep 30 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.90-0.866096.4mdv2009.0
+ Revision: 290035
- Fix first playlist crash with non selected item
- Added missing requires for mysql-common, otherwise mysql embedded can't create the database

* Sun Sep 28 2008 Anssi Hannula <anssi@mandriva.org> 3:1.90-0.864324.2mdv2009.0
+ Revision: 289020
- fix obsoletes to account for backported amarok 1.4.9.1 on 2008.1

* Wed Sep 24 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.90-0.864324.1mdv2009.0
+ Revision: 287853
- Mysql embedded in the new database.

* Fri Sep 19 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.90-0.862469.6mdv2009.0
+ Revision: 285875
- Update to current post beta1 revision 862469

* Thu Sep 11 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.90-0.860031.4mdv2009.0
+ Revision: 283939
- Codeina support for Amarok. First attempt.
- We don't need xine devel anymore
- Rebuild to generate debug package ( missing ? )

* Sun Sep 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.90-0.857904.1mdv2009.0
+ Revision: 282046
- New snapshot

* Mon Sep 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.90-0.855557.1mdv2009.0
+ Revision: 278239
- New snasphot
- New SVN Snapshot

* Tue Aug 26 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.90-0.852485.1mdv2009.0
+ Revision: 276095
- New snapshot
- New snapshot

  + Funda Wang <fwang@mandriva.org>
    - raise BR of libmtp

* Sat Aug 23 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.90-0.851157.1mdv2009.0
+ Revision: 275280
- New snapshot

* Thu Aug 21 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.90-0.850252.1mdv2009.0
+ Revision: 274658
- Fix file list
- Fix file list
- New snapshot
  Pacakge amarok with locales
  Fix lib install path ( upstream )

* Wed Aug 20 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.87-0.849644.1mdv2009.0
+ Revision: 274106
- Fix File list
- New snapshot

* Tue Aug 19 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.87-0.849304.1mdv2009.0
+ Revision: 273731
- Update amarok snapshot
- Fix major of libamarokplasma
- New snapshot

* Sun Aug 17 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.87-0.848422.1mdv2009.0
+ Revision: 273066
- Use better tarball
- New snapshot

* Sun Aug 17 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.87-0.848114.2mdv2009.0
+ Revision: 272909
- Fix previous patch
- Add patch0 to try to fix crash when opening settings

* Sun Aug 17 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.87-0.848114.1mdv2009.0
+ Revision: 272844
- New snapshot

* Fri Aug 15 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.87-0.847430.1mdv2009.0
+ Revision: 272394
- Fix file list
- Fix file list
- Fix file list
- New snapshot
- New snapshot

* Sun Jul 27 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.87-0.838427.1mdv2009.0
+ Revision: 250685
- Updat to new snapshot
- Remove unneeded Requires

* Wed Jul 23 2008 Colin Guthrie <cguthrie@mandriva.org> 3:1.86-1mdv2009.0
+ Revision: 242070
- Add more BuildRequires to enable some new features.
- New version: Alpha2 (1.86)

* Wed Jul 09 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.83-2mdv2009.0
+ Revision: 233166
- Small cleanup.
- Removed postgres buildreq. No postgres anymore
- Scripts not depend and use ruby or python anymore
- Added loudmouth buildreq

* Wed Jul 09 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.83-1mdv2009.0
+ Revision: 233158
- First official alpha from amarok.
- Raised epoch to upgrade to a proper version

* Mon Jul 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:2.0.0-0.svn829031.2mdv2009.0
+ Revision: 232409
- New snapshot (fixes bedi bug)

* Fri Jun 27 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:2.0.0-0.svn825117.2mdv2009.0
+ Revision: 229591
- those macros are only needed for mdv < 200900

* Fri Jun 27 2008 Helio Chissini de Castro <helio@mandriva.com> 2:2.0.0-0.svn825117.1mdv2009.0
+ Revision: 229578
- new amarok library - pud
- Update for current svn snapshot rev825117
- Update with 820386 snapshot

* Tue Jun 10 2008 Helio Chissini de Castro <helio@mandriva.com> 2:2.0.0-0.svn819178.1mdv2009.0
+ Revision: 217747
- New svn snapshot

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 21 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:2.0.0-0.svn794807.7mdv2009.0
+ Revision: 209659
- Change conflicts
- Build with MySQL and PostgreSQL support

* Wed May 14 2008 Anssi Hannula <anssi@mandriva.org> 2:2.0.0-0.svn794807.6mdv2009.0
+ Revision: 207233
- obsolete dropped engine packages for smooth upgrade

* Wed May 14 2008 Anssi Hannula <anssi@mandriva.org> 2:2.0.0-0.svn794807.5mdv2009.0
+ Revision: 207101
- add missing buildrequires on kdebase4-workspace-devel (also fixes
  conflicts with kdebase4-workspace)

* Tue May 13 2008 Anssi Hannula <anssi@mandriva.org> 2:2.0.0-0.svn794807.4mdv2009.0
+ Revision: 206541
- Drop libamarok0-scripts subpackage. In addition to being empty, it used
  to contain non-versioned plugin libs that can be put in amarok-scripts
  directly.

* Mon May 12 2008 Anssi Hannula <anssi@mandriva.org> 2:2.0.0-0.svn794807.3mdv2009.0
+ Revision: 206472
- fix some conflicts and obsoletes

* Sat Apr 12 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:2.0.0-0.svn794807.2mdv2009.0
+ Revision: 192628
- Fix conflicts
- Change spec file name
  Obsolete old packages
- Use new kde4 amarok by default

  + Helio Chissini de Castro <helio@mandriva.com>
    - No more separated engines. Phonon is more than enough :-)

* Sun Mar 09 2008 Funda Wang <fwang@mandriva.org> 1:2.0.0-1.svn763708.4mdv2008.1
+ Revision: 182420
- rebuild for qt4 changes

  + Thierry Vignaud <tv@mandriva.org>
    - fix gstreamer0.10-devel BR for x86_64

* Sun Jan 20 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.0.0-1.svn763708.3mdv2008.1
+ Revision: 155406
- Fix File list
- New snapshot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 02 2007 Funda Wang <fwang@mandriva.org> 1:2.0.0-1.svn743954.3mdv2008.1
+ Revision: 114447
- fix upgrading by obsoletes old libname
- move strigi.so into main package
- adopt to new devel policy

* Sun Dec 02 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.0.0-1.svn743954.2mdv2008.1
+ Revision: 114411
- New snapshot

* Sat Dec 01 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:2.0.0-1.svn738067.2mdv2008.1
+ Revision: 114310
- rebuild due to unresolved symbols

* Sat Nov 17 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.0.0-1.svn738067.1mdv2008.1
+ Revision: 109673
- New snapshot

* Sat Oct 27 2007 Funda Wang <fwang@mandriva.org> 1:2.0.0-1.svn730005.1mdv2008.1
+ Revision: 102640
- New snapshot at svn730005

* Sat Oct 20 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.0.0-1.svn727155.5mdv2008.1
+ Revision: 100524
- Fix BuildRequires
- New svn snapshot

* Thu Sep 27 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1:2.0.0-1.svn711995.5mdv2008.0
+ Revision: 93401
- Rebuild against latest kde4 packages

* Thu Sep 13 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.0.0-1.svn711995.4mdv2008.0
+ Revision: 85160
- Kill Require on libamarok

* Thu Sep 13 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.0.0-1.svn711995.3mdv2008.0
+ Revision: 84933
- New snashot because of new kdelibs
- Add conflicts to make update easier
- Upload again as Library rpm have not been uploaded properly

* Wed Sep 12 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.0.0-1.svn710748.1mdv2008.0
+ Revision: 84781
- New snapshot
- New snapshot
- New svn snapshot
- Change spec according to new Kde layout

* Sat Jun 16 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.0.0-1.svn676332.1mdv2008.0
+ Revision: 40409
- Fix File list
- New svn snapshot
- Fix File List
- New svn snapshot (20070508)

* Mon Apr 30 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.0.0-0.svn20070430.1mdv2008.0
+ Revision: 19404
- Remove Patch100: Ruby check is now fixed upstream
- Fix file list
- Fix BuildRequires
- New svn snapshot

* Sun Apr 22 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.0.0-0.svn20070418.2mdv2008.0
+ Revision: 17032
- Fix Buildrequires
- Remove redundant buildRequire

* Sun Apr 22 2007 Laurent Montel <lmontel@mandriva.org> 1:2.0.0-0.svn20070418.1mdv2008.0
+ Revision: 16848
- Move file into good package
- Cleanup
  Fix for x86_64

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New svn snapshot

* Tue Apr 17 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.0.0-0.svn20070407.3mdv2008.0
+ Revision: 13528
- Add njb support
- Fix Build on x86_64
- Add BR
- Clean Spec
- Import amarok2


* Mon Mar 19 2007 Olivier Blin <oblin@mandriva.com> 1.4.5-8mdv2007.1
+ Revision: 146360
- tag lang on HTML doc

  + Michael Scherer <misc@mandriva.org>
    - disable debugging output, asked by neoclust

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - correctly set ipod model name, an "x" prefix is needed, code taken from
      gtkpod ( Patch20)
    - make the first rating star tri-state (Patch21)
    - Remove unused code (upstream BR: 141038)(Patch22)
    - fix regression  caused when mongrel had been updated , export correct
      symbols (Patch 23)
    - Fix regression: right-clicking on sound control would change volume
      (upstream BR: 141672)(Patch24)
    - Fix missing quoting for shell call. (upstream BR: 138499)(Patch25)
    - Support for colored stars *everywhere* (Patch26) see diff for a more
      important changelog
    - Fix stars refreshing ( Patch27)
    - Make stars more efficient ( Patch28)

* Fri Feb 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.4.5-4mdv2007.1
+ Revision: 125145
- rebuild against new libgii

* Wed Feb 14 2007 Laurent Montel <lmontel@mandriva.com> 1:1.4.5-3mdv2007.1
+ Revision: 121153
- Fix magnatune

* Tue Feb 06 2007 Laurent Montel <lmontel@mandriva.com> 1:1.4.5-2mdv2007.1
+ Revision: 116584
- It was never a good idea to release a package before
  official release date
  => use last and official tarball (minor fix but official
  tarball)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 1.4.5
    - Remove merged upstream patches :  7,8,9,10,11,12

* Sat Jan 27 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1:1.4.4-7mdv2007.1
+ Revision: 114433
- fix release
- fix summary-not-capitalized
- fix build against new libmtp (P12)
- fix build on sparc (P11 from ubuntu)
- allow amarok to open external URLs (P10 from ubuntu)
- fix build against new libgpod (P9)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild for new deps

  + Helio Chissini de Castro <helio@mandriva.com>
    - We don't need regenerate build system

* Mon Dec 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.4-6mdv2007.1
+ Revision: 94697
- Rebuidl against new libmtp

* Fri Dec 08 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.4-5mdv2007.1
+ Revision: 93602
-  Rebuild
- Add patch to fix amarok xine-lib 1.1.3  when playing Last.FM streams

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 1:1.4.4-4mdv2007.1
+ Revision: 90224
- rebuild for new libmtp

* Thu Nov 09 2006 Laurent Montel <lmontel@mandriva.com> 1:1.4.4-3mdv2007.1
+ Revision: 79968
- Requires tunepimp-plugins (need for musicbrainz tags)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add a new webradio : Dogmazic ( ex: musique-libre.org)
         On this webradio, we can _ONLY_ listen free music :)

* Sat Nov 04 2006 Laurent Montel <lmontel@mandriva.com> 1:1.4.4-2mdv2007.0
+ Revision: 76543
- Remove debug

* Mon Oct 30 2006 Laurent Montel <lmontel@mandriva.com> 1:1.4.4-1mdv2007.1
+ Revision: 73692
- ldconfig
- Add lib script package
- Remove it
- 1.4.4

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add missing patch
    - amarok-1.4.3-6mdv2007.0
    - Better fix for encoding bug (from patchset1):
        * Fixed playlist encoding problem. This bug could also
             result in failure to restore the current playlist.
             (BR 133613)
             => amarok-1.4.3-playlist_encoding.diff
    - amarok-1.4.3-4mdv2007.0
    - Remove some radios as the links are dead
    - Fixed playlist encoding problems.
             (KDE BR 133613)
             (MDV BR  25493)
    - Fix macros for database (#25664)

* Thu Sep 07 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.3-2mdv2007.0
+ Revision: 60269
- amarok-1.4.3-2mdv2007.0
- Disable Moodbar
- Some podcasts would insert line breaks in author/title
     information and cause graphical errors. (BR 133591)
- Fix global shortcut conflicts

* Wed Sep 06 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.3-1mdv2007.0
+ Revision: 59945
- New release 1.4.3 (Lot lot of bugfixes)
- Remove patches 7,8,9,11 Merged upstream

* Sat Sep 02 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.2-6mdv2007.0
+ Revision: 59296
- Apply a forgotten patch
- amarok-1.4.2-6mdv2007.0
- PatchSet1:
  * Collection scanner would only restart a maximum of 2 times
      instead of 20.
      => amarok-1.4.2-scanner.diff
  * AudioCD playback would stutter and sometimes freeze Amarok.
      (BR 133015)
      => amarok-1.4.2-audiocd.diff
  * Fixed bug which prevented Amarok from creating the collection
      database in rare circumstances using SQLite. (BR 133072)
      => amarok-1.4.2-collection.diff

* Fri Sep 01 2006 Helio Chissini de Castro <helio@mandriva.com> 1:1.4.2-5mdv2007.0
+ Revision: 59076
- Added patch to fix libmtp compilation
- Fixed BuildRequires for mtp, sql
- For some reason cluster always add unstable as enabled, so amarok was compiling with debug everytime.
- Need match the correct tunepimp library for all archs
- rebuild to get rid of all tunepimp mess. We should now use libtunepimp and only this one

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - amarok-1.4.2-4mdv2007.0
    - Add BuildRequire
    - Fix BuildRequires

* Sun Aug 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.2-2mdv2007.0
+ Revision: 58164
- amarok-1.4.2-2mdv2007.0
- Disable mandriva directory patch

* Sat Aug 12 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.2-1.beta1.4mdv2007.0
+ Revision: 55574
- 1.4.2-1.beta1.4mdv2007.0
- Fix rpmlint warnings

  + Helio Chissini de Castro <helio@mandriva.com>
    - Reenabled tunepimp

  + Laurent Montel <lmontel@mandriva.com>
    - Rebuild with new dbus (2006/08/02 1.4.2-beta1-3)

* Tue Aug 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.2-0.beta1.2mdv2007.0
+ Revision: 42865
- rebuild against new libtunepimp package

* Tue Aug 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.2-0.beta1.1mdv2007.0
+ Revision: 42842
- Remove musicbrainz support for the moment ( doesn't build)
- 1.4.2 Beta 1
- Remove patch 5: Merged Upstream
- Add --with-external-mad option to fix crash on 64bits ( ticket #24007)

* Mon Jul 31 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.1-5mdv2007.0
+ Revision: 42629
- Bump release
- Forget file
- Add some radios

* Fri Jul 21 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.1-4mdv2007.0
+ Revision: 41785
- Rebuild and upload to fix ticket #23852

  + Helio Chissini de Castro <helio@mandriva.com>
    - Removed gstreamer mentions. Amarok not ship any gstreamer as standard
    - Rearrange spec and reduced size
    - Added configure macro
    - enabled ipod module control using libgpod

* Wed Jul 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.1-2mdv2007.0
+ Revision: 38363
- ooops, forgot to commit the patch
- Increase release
- Fix conflicts with upstream lastfm (#23493) thanks Frederik Himpe

* Tue Jul 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.1-1mdv2007.0
+ Revision: 38287
- Fix File list
- 1.4.1 Final

* Fri Jun 23 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.4.1-0.6mdv2007.0
+ Revision: 37866
- Increase release
- Use macros (for mimetypes)
- Oooops forgot the source
- 1.4.1 Beta 1 (amaroK is now Amarok)
- Rediff Patch1
- Fix File list
- Increase release
- Fix epoch on requires
- Increase release
- Rebuild to generate category
- Add Epoch to allow upgrade from bundles as the rpm is epoched
- Add Requires ( close ticket #22896)
- Increase release
- New svn checkout
- Fix BuildRequires (thanks to Charles A Edwards)
- Increase release
- New svn checkout
- Fix File list
- increase requires on libvisual
- Use good tarball
- New svn checkout ( with many bugfixes)
- Fix File list
- increase release
- Fix File list
- 1.4.0 Final
- Obsolete gstreamer0.10 engine
- Fix MySQL build ( thanks delight for pointing this )
- Fix release
- Fix File list
- Increase release
- Remove gstreamer0.10 engine only xine is left
- remove patch 5
- 1.4.0 RC1
- Disable patch 7: merged upstream
- Fix File list
- Fix Patch 7
- Increase release
- Add Patch7: Fix Build for kde < 3.5
- New svn checkout
- add warning about the fact that amarok is on svn
- Fix file list
- increase release
- Readd gstreamer0.10 engine
- 1.4beta3-4mdk
- New svn checkout
- Fix Requires for mdv > 2006
- Rediff Patch6
- Fix File list
- increase release
- New svn snapshot
- Add Requires
- New svn checkout
- Change default shortcut ( Ticket #15163)
- New svn release ( ~ beta3 )
- Obsoletes aKode engine ( it doesn't exist anymore)
- revert previous commit
- Amarok 1.4.0 Rc2
- Fix patch4
- Add Exscalibar support
- increase release ( 0.beta2.3mdk)
- Readd previous patches ( close #21663)
- Remove xmms support
- Add versionned obsoletes

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Laurent Montel <lmontel@mandriva.com>
    - New release (critical fix)
      fix build against new xorg
    - Rebuild to generate category
    - Add patch from neoclust
      add conflict for smooth update
      remove arts and gstreamer subpackages (no more existant)
    - 1.4-beta2
      Reverse a part of previous changes.
      2006 support is important !
      Remove conflict with files
      Readd configure argument
      Add file at the end is better to read and not find
      file list into all spec file.
    - 1.4-beta2
      Reverse a part of previous changes.
      2006 support is important !
      Remove conflict with files
      Readd configure argument
      Add file at the end is better to read and not find
      file list into all spec file.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Small spec refactoring
    - Fixed smoke dependency problem
    - Bring back amarok to svn

* Mon Feb 20 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.4-0.beta1_rc1.9mdk
- Add Requires for the scripts subpackage
- Fix amarok URL

* Wed Feb 15 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.4-0.beta1_rc1.8mdk
- New subpackage engine-gstreamer0.10 ( libgstreamer0.10 was in contrib for
	mdv =< 2006 )

* Wed Feb 15 2006 Laurent MONTEL <lmontel@mandriva.com> 1.4-0.beta1_rc1.7
- Fix buildrequires

* Wed Feb 15 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.4-0.beta1_rc1.6mdk
- Fix aKode subpackage

* Wed Feb 15 2006 Laurent MONTEL <lmontel@mandriva.com> 1.4-0.beta1_rc1.5
- Fix macro

* Mon Feb 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.4-0.beta1_rc1.4mdk
- Real 1.4 Beta1
- Add ifp support
- Add iPod support
- Add buildRequires : libakode2-devel, SDL-devel, libgpod-devel
- Add a postgresql subpackage 
- Fix Build akode on mdv2006

* Mon Feb 13 2006 Laurent MONTEL <lmontel@mandriva.com> 1.4-0.beta1_rc1.3
- Fix spec file
- Build akode on mdk2006 (libakode doesn't exist in mdk =< 2006 )

* Sat Feb 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.4-0.beta1_rc1.2mdk
- create akode engine, lib and devel packages

* Sat Feb 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.4-0.beta1_rc1.1mdk
- amaroK 1.4 beta1
- remove --disable-rpath

* Mon Jan 16 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.8-1
- 1.3.8

* Sat Jan 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.3.8-0.Rc1.1mdk
- 1.3.8Rc1
- Remove Patch 7 : Merged Upstream

* Fri Jan 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-01-06 16:36:13 (1385)
- Added upstream lyrics patch on behalf of Eskild Hudtvedt ( Zero_Dogg )

* Fri Jan 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-01-06 16:28:24 (1384)
- Add sources and spec to svn

* Fri Jan 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-01-06 16:13:32 (1382)
- Current dir

* Fri Dec 16 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.7-4
- Rebuild because on x86_64 qt was not rebuild before new amarok rebuild: fix bug #20226

* Sat Dec 10 2005 Helio Chissini de Castro 1.3.7-3mdk
- Rebuild against new qt build

* Wed Dec 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.7-2
- qtdir is not define in spec file (found by Nicolas Chipaux)

* Wed Dec 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.7-1
- 1.3.7

* Tue Nov 08 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.3.6-1mdk
- New release 1.3.6
- Remove patch 20 : Merged upstream

* Mon Nov 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.5-5
- Add patch20: fix desktop file (bug found by Fred Crozat)

* Wed Nov 02 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.3.5-4mdk
- Add patch 19 : please give feedback to my patch

* Sat Oct 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.3.5-3mdk
- Fix Requires

* Wed Oct 26 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.5-2
- Remove unneccesary requires

* Wed Oct 26 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.3.5-1mdk
- New release 1.3.5

* Tue Oct 25 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.3.4-1mdk
- New release 1.3.4
- Drop patch 2 : Merged Upstream

* Sat Oct 22 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.3-4
- Add requires for gstreamer engine

* Wed Oct 19 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.3-3
- Allow to compile with debug

* Wed Oct 12 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.3.3-2mdk
- Fix BuildRequires ( add k3b)
- remove kdelibs-devel because already required by
	     kdebase-devel and kdemultimedia-devel

* Tue Oct 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.3.3-1mdk
- New release 1.3.3
- Drop Patch 6 : Merged Upstream

* Fri Sep 23 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.3.2-2mdk
- Use Amarok new icons ( betteeeeeeeeeeeeeeer :) )
- Drop patch 20 : uneeded now

* Fri Sep 23 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.3.2-1mdk
- New release 1.3.2 ( bug fixes )

* Sat Sep 17 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.1-3
- Add patch6: disable lastfm config

* Sat Sep 10 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.1-2
- Rebuild

* Wed Sep 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.1-1mdk
- Rebuild

* Wed Aug 31 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.3-2mdk
- remove obsolete lib64 fixes
- build without helix support (contribs)

* Tue Aug 16 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3-1mdk
- 1.3

* Thu Aug 04 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3-0.beta3.2mdk
- Make sure that it requires xine-lib

* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3-0.beta2.3mdk
- Rebuild with gcc4

* Tue Jun 28 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3-0.beta2.2mdk
- Remove requires on xine-lib for the moment I can't rebuild xine-lib 
on gcc-4.0 I create 3 patchs but there is again a error. 
I will try to fix it after

* Tue Jun 28 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3-0.beta2.1mdk
- 1.3 beta2

* Tue Jun 28 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3-0.beta1.3mdk
- Split amarok as requested by Greg Meyer

* Thu Jun 09 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.3-0.beta1.2mdk
- Rediff Patch 3, 5

* Tue Jun 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3-0.beta1.1mdk
- 1.3 beta1

* Thu May 26 2005 Sebastien Savarin <plouf@mandriva.org> 1.2.4-2mdk
- Drop Patch 0, 2, 15, 17 ( Merged Upstream )
- Minor rpmlint errors fix :
- Fix wrong script encoding line  
- Fix strange-permission on amarok-1.2.4.tar.bz2

* Mon May 23 2005 Laurent MONTEL <lmontel@mandriva.com> 1.2.4-1mdk
- 1.2.4

* Tue May 03 2005 Laurent MONTEL <lmontel@mandriva.com> 1.2.3-2mdk
- Rebuild with new libflac

* Fri Apr 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3

* Tue Apr 05 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-4mdk
- Split amarok into amarok and amarok-script which requires PyQt
- Remove workaround to use gstreamer in x86_64 (asked by gb)

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-3mdk
- Fix buildrequires

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-2mdk
- Add patch18: fix kde bug #101496

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-5mdk
- Add patch17: fix kde bug #101528

* Mon Mar 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-4mdk
- Add patch16: Fix signal/slot error

* Mon Mar 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-3mdk
- Fix shortcut, bug reported by Neoclust

* Mon Mar 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-2mdk
- Add patch15: fix kde bug #101276

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-10mdk
- Add patch14: fix kde bug #100189
- Requires on kdemultimedia-common for "audiocd:/"

* Sun Feb 27 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-9mdk
- Add patch11: fix kde bug #100268
- Add patch12: fix kde bug #98415
- Add patch13: fix kde bug #100140

* Fri Feb 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-8mdk
- Add patch10: fix kde bug #100200

* Thu Feb 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-7mdk
- Add patch9: fix kde bug #100041

* Mon Feb 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-6mdk
- Fix shortcut, don't use Windows key as shortcut otherwise it opens
	K menu

* Fri Feb 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-5mdk
- Add patch8: fix "play media" allow to insert directory

* Wed Feb 16 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-4mdk
- Add patch7: fix cursor

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-3mdk
- Add patch3: reapply patch4
- Add other multimedia shortcut

* Mon Feb 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-2mdk
- Add patch6: fix amarok kde bug #90499

* Sun Feb 13 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- Amarok-1.2

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta4.2mdk
- Reapply patch1

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta4.1mdk
- beta4

* Mon Jan 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta3.1mdk
- beta3

* Sat Jan 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.2-0.beta2.3mdk
- add BuildRequires: kdebase-devel libxml2-utils
- list dangling "common" symlinks explicitly as the glob apparently doesn't 
  work for them with up-to-date build env on ppc

* Mon Dec 13 2004 Laurent Culioli <laurent@mandrake.org> 1.2-0.beta2.2mdk
- rebuild with tunepimp ( autotagging support )

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.1mdk
- 1.2 beta2

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.5mdk
- Now libvisual is in main
- Add patch5: add multimedia shortcut

* Wed Dec 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.4mdk
- Add patch to compile conditional with mysql (patch from  Greg Meyer )

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.3mdk
- --enable-mysql

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.2mdk
- Reapply patch

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.1mdk
- 1.2 beta1

* Fri Nov 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-3mdk
- Add patch4: fix default config

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-2mdk
- Reapply gb fixe

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1

* Sat Oct 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-1mdk
- 1.1

* Sat Oct 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-5mdk
- Fix default config

* Thu Sep 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-4mdk
- Fix compile

* Thu Sep 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-3mdk
- Fix initial preference

* Tue Sep 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-2mdk
- Add initialpreference

* Sat Aug 07 2004 Laurent Culioli <laurent@mandrake.org> 1.0.2-1mdk
- 1.0.2
- regenerate patch0
- use libxine

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Sat Jun 19 2004 Laurent Culioli <laurent@mandrake.org> 1.0-2mdk
- Patch0: fix locales
- update description
- make rpmlint happy with menu

* Fri Jun 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- 1.0

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 1.0-0.beta4.2mdk
- Rebuild

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta4.1mdk
- beta4

* Fri May 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0-0.beta3.3mdk
- fix buildrequires
- don't do rm -rf $RPM_BUILD_ROOT in %%prep 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0

* Tue May 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta3.2mdk
- Reapply patch1

* Thu May 13 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 1.0-0.beta3.1mdk
- Update to last version

* Sat May 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta2.3mdk
- Fix crash when xmms_plugins_path not found (bug found by Nicolas Chipaux)

* Sun Apr 25 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 1.0-0.beta2.2mdk
- Fix libxmms-devel missing build require
- Add libgstreamer support

* Sun Apr 25 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 1.0.beta2-1mdk
- update to last version

* Wed Apr 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta1.1mdk
- 1.0-beta1
- Fix spec file

* Thu Apr 08 2004 Laurent Culioli <laurent@mandrake.org> 0.9-2mdk
- reupload

